# ipadm_prop – Manage protocol properties on Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Modify protocol properties on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
property - / required |  | Specifies the name of property we want to manage.
protocol - / required |  | Specifies the protocol for which we want to manage properties.

state
-

Choices:
- present ←
- absent
- reset

Set or reset the property value.

temporary
boolean

Choices:
- no ←
- yes

Specifies that the property value is temporary. Temporary property values do not persist across reboots.

value - |  | Specifies the value we want to set for the property.

## Examples

    # Set TCP receive buffer size
    - ipadm_prop: protocol=tcp property=recv_buf value=65536

    # Reset UDP send buffer size to the default value
    - ipadm_prop: protocol=udp property=send_buf state=reset

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
property string | always | name of the property Sample: recv_maxbuf
protocol string | always | property's protocol Sample: TCP
state string | always | state of the target Sample: present
temporary boolean | always | property's persistence Sample: True
value integer | always | value of the property. May be int or string depending on property. Sample: '1024' or 'never'

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.